SETTERM(1)

NAZWA
setterm - ustawia atrybuty terminala

SKŁADNIA
setterm [opcje]

OPIS
setterm wypisuje na standardowe wyjście łańcuch znaków, który wykonuje podane właściwości terminala. Tam, gdzie możliwe, do znalezienia łańcucha używa się terminfo. Część opcji jednak (zaznaczona poniżej jako "tylko konsole wirtualne") nie odpowiada właściwościom terminfo(5). W tym wypadku, jeśli typ terminala to "con" lub "linux", drukowany jest łańcuch, który wywołuje pożądane właściwości dla sterownika konsoli wirtualnej PC Minix. Opcje niezaimplementowane przez terminal są ignorowane.

OPCJE
Dla opcji logicznych (on lub off) domyślną wartością jest on.

Dla zwięzłości kolor-8 oznacza black (czarny), red (czerwony), green (zielony), yellow (żółty), blue (niebieski), magenta (purpurowy), cyan (niebieskozielony) lub white (biały).

kolor-16 to kolor-8, grey (szary) lub bright (jasno-), po którym następuje red (czerwony), green (zielony), yellow (żółty), blue (niebieski), magenta (purpurowy), cyan (niebieskozielony) lub white (biały).

Różne opcje związane z kolorami mogą być ustawione niezależnie, przynajmniej na konsolach wirtualnych, chociaż wynik ustawienia wielu trybów (na przykład -underline i -half-bright) zależy od sprzętu.

-term nazwa_terminala
    Nadpisuje wartość zmiennej środowiskowej TERM.

-reset
    Wyświetla łańcuch resetowania terminala, który zwykle resetuje terminal do stanu włączenia.

-initialize
    Wyświetla łańcuch inicjacji terminala, który zwykle ustawia opcje terminala na wartości domyślne.

-default
    Ustawia opcje renderujące terminala (rendering options) na wartości domyślne.

-cursor [on|off]
    Włącza lub wyłącza kursor terminala.

-repeat [on|off] (tylko konsole wirtualne)
    Włącza lub wyłącza powtarzanie klawiszy.

-appcursorkeys [on|off] (tylko konsole wirtualne)
    Włącza lub wyłącza tryb Cursor Key Application. Gdy jest on włączony dla klawiszy kursora będą wysyłane ESC O A, ESC O B, itd. zamiast ESC [ A, ESC [ B, itd. Patrz sekcja "vi i klucza kursora" w Text-Terminal-HOWTO, aby przeczytać, jakie to może spowodować problemy dla użytkowników vi.

-linewrap [on|off] (tylko konsole wirtualne)
    Włącza lub wyłącza automatyczne zawijanie wierszy.

-default
    Ustawia opcje renderujące terminala na wartości domyślne.

-foreground kolor-8|default (tylko konsole wirtualne)
    Ustawia kolor tekstu.

-background kolor-8|default (tylko konsole wirtualne)
    Ustawia kolor tła.

-ulcolor kolor-16 (tylko konsole wirtualne)
    Ustawia kolor znaków podkreślonych.

-hbcolor kolor-16 (tylko konsole wirtualne)
    Ustawia kolor znaków półrozjaśnionych.

-inversescreen [on|off] (tylko konsole wirtualne)
    Zamienia ze sobą kolory ekranu. Kolor czcionki i kolor tła są zamienione, tak samo kolor podkreślenia i kolor znaków półrozjaśnionych.

-bold [on|off]
    Włącza lub wyłącza tryb wytłuszczenia (ekstrajasny). Poza konsolami wirtualnymi -bold off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

-half-bright [on|off]
    Włącza lub wyłącza tryb półrozjaśnienia (patrz -hbcolor). Poza konsolami wirtualnymi -half-bright off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

-blink [on|off]
    Włącza lub wyłącza tryb migania. Poza konsolami wirtualnymi -blink off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

-reverse [on|off]
    Włącza lub wyłącza tryb odwrócenia obrazu. Poza konsolami wirtualnymi -reverse off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

-underline [on|off]
    Włącza lub wyłącza tryb podkreślania (patrz -ulcolor).

-store (tylko konsole wirtualne)
    Zapisuje bieżące opcje renderujące terminala (kolory czcionki i tła) jako wartości domyślne.

-clear [all]
    Czyści ekran i ustawia kursor w pozycji domyślnej, tak jak clear(1).

-clear rest
    Czyści ekran od bieżącej pozycji kursora do końca ekranu.

-tabs [tab1 tab2 tab3 ...] (tylko konsole wirtualne)
    Ustawia poziome pozycje kursora dla tabulacji w zakresie 1-160. Bez argumentów pokazuje obecne ustawienia tabulacji.

-clrtabs [tab1 tab2 tab3 ...] (tylko konsole wirtualne)
    Czyści ustawienia tabulacji dla podanych pozycji poziomych kursora, w zakresie 1-160. Bez argumentów czyści wszystkie tabulacje.

-regtabs [1-160] (tylko konsole wirtualne)
    Czyści wszystkie tabulacje, a potem ustawia regularny wzorzec tabulacji z jedną tabulacją dla każdej określonej liczby pozycji. Bez argumentów przyjmuje wartość domyślną - 8.

-blank [0-60] (tylko konsole wirtualne)
    Ustawia czas nieaktywności, w minutach, po którym ekran zostanie automatycznie wygaszony (przy użyciu APM, jeśli jest dostępne). Bez argumentu, ustawia wartość domyślną - 0 (wyłącza wygaszanie ekranu).

-dump [1-NR_CONS]
    Zapisuje stan podanych konsoli wirtualnych (z atrybutami) do pliku podanego w opcji -file, nadpisując jego zawartość; domyślna nazwa pliku to screen.dump. Jeśli nie podano argumentu, zapisuje stan obecnej konsoli wirtualnej. Nadpisuje -append.

-append [1-NR_CONS]
    Jak -dump, ale dopisuje stan konsoli do pliku zamiast nadpisywać jego zawartość. Działa tylko wtedy, gdy nie podano opcji -dump.

-file dumpfilename
    Ustawia nazwę pliku dla opcji -dump lub -append podanych w tej samej linii poleceń. Jeśli nie podano tej opcji, domyślną nazwą pliku jest screen.dump w bieżącym katalogu.

-msg [on|off] (tylko konsole wirtualne)
    Włącza lub wyłącza wysyłanie przez jądro komunikatów printk() do konsoli.

-msglevel 1-8 (tylko konsole wirtualne)
    Ustawia poziom logowania konsoli dla wiadomości jądra printk(). Będą wypisywane wszystkie wiadomości o wyższym poziomie, tak więc ustawienie poziomu na 0 da ten sam efekt co -msg on, a logowanie z poziomem 8 wypisze wszystkie komunikaty jądra. klogd(8) może być bardziej dogodnym interfejsem do ustawiania poziomu logowania komunikatów jądra.

-powersave on|vsync
    Ustawia monitor w tryb VESA vsync suspend.

-powersave hsync
    Ustawia monitor w tryb VESA hsync suspend.

-powersave powerdown
    Ustawia monitor w tryb VESA powerdown.

-powersave [off]
    Wyłącza właściwości zachowywania energii monitorów zgodnych z VESA.

-powerdown [0-60]
    Ustawia czas wyłączenia VESA w minutach. Jeżeli nie podano argumentu, ustawia na domyślną wartość 0 (wyłączenie tej opcji). Jeżeli konsola jest wygaszona lub gdy monitor jest w trybie suspend, to monitor przejdzie odpowiednio w tryb vsync suspend lub wyłączenia, gdy ten czas upłynie.

-blength [0-2000]
    Ustawia czas trwania dzwonka w milisekundach. Jeżeli nie podano argumentu, to przyjmuje wartość domyślną - 0.

-bfreq [freqnumber]
    Ustawia częstotliwość dzwonka w Hz. Jeżeli nie podano argumentu, to domyślną wartością jest 0.

ZOBACZ TAKŻE
tput(1), stty(1), terminfo(5), tty(4)

BŁĘDY
Nie są udokumentowane różnice między wersjami Miniksa i Linuksa.